aboutsummaryrefslogtreecommitdiffstats
path: root/main/libelf/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-07-30 08:51:11 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-07-30 08:54:53 +0000
commit5c904717322f8113870abf48cc93c3c8b00ab4e8 (patch)
treee077e5c3afa20630fd6e96db5872f03d622d639e /main/libelf/APKBUILD
parenta879839450737e3cbdb64415af42347c97ccfa28 (diff)
downloadaports-5c904717322f8113870abf48cc93c3c8b00ab4e8.tar.gz
aports-5c904717322f8113870abf48cc93c3c8b00ab4e8.tar.bz2
aports-5c904717322f8113870abf48cc93c3c8b00ab4e8.tar.xz
[all autotools packages]: normalize ./configure
Diffstat (limited to 'main/libelf/APKBUILD')
-rw-r--r--main/libelf/APKBUILD8
1 files changed, 6 insertions, 2 deletions
diff --git a/main/libelf/APKBUILD b/main/libelf/APKBUILD
index 82ad01352c..6ca2d542fd 100644
--- a/main/libelf/APKBUILD
+++ b/main/libelf/APKBUILD
@@ -13,10 +13,14 @@ source="http://www.mr511.de/software/$pkgname-$pkgver.tar.gz"
build() {
cd "$srcdir"/$pkgname-$pkgver
- ./configure --prefix=/usr \
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
--enable-shared \
--enable-gnu-names \
- --enable-compat || return 1
+ --enable-compat \
+ || return 1
make || return 1
}